Skip to main content
POST
Create Liquidation Address

Authorizations

x-api-key
string
header
required

Your Meow API key, sent in the x-api-key header for authentication.

Scopes

accounts:write

Headers

x-entity-id
string<uuid>

Optional entity_id to scope requests to a specific entity.

Path Parameters

account_id
string
required

The ID of the account.

Body

application/json
chain
enum<string>
required

Blockchain network where you want to receive funds.

Available options:
arbitrum,
avalanche_c_chain,
base,
ethereum,
optimism,
polygon,
solana,
stellar,
sui,
tempo,
tron,
xdc,
ach,
ach_push,
ach_same_day,
fednow,
wire,
swift,
sepa,
faster_payments,
spei,
bridge_transfer
Example:

"ethereum"

currency
enum<string>
required

Cryptocurrency you want to receive at this address.

Available options:
usdb,
usdc,
usdt,
dai,
pyusd,
cash,
usdg,
usdv,
eurc,
usd,
eur,
gbp,
mxn,
path_usd,
ousd
Example:

"usdc"

Response

Successful Response

address
string
required

Blockchain address to use when depositing the selected cryptocurrency into this account.

Example:

"0x0000000000000000000000000000000000000001"

chain
enum<string>
required

Blockchain network for this deposit address.

Available options:
arbitrum,
avalanche_c_chain,
base,
ethereum,
optimism,
polygon,
solana,
stellar,
sui,
tempo,
tron,
xdc,
ach,
ach_push,
ach_same_day,
fednow,
wire,
swift,
sepa,
faster_payments,
spei,
bridge_transfer
Example:

"ethereum"

currency
enum<string>
required

Cryptocurrency accepted by this deposit address.

Available options:
usdb,
usdc,
usdt,
dai,
pyusd,
cash,
usdg,
usdv,
eurc,
usd,
eur,
gbp,
mxn,
path_usd,
ousd
Example:

"usdc"

settlementRail
enum<string> | null

How a deposit to this crypto address settles into the account. US_FEDNOW settles within minutes for deposits up to $10,000,000; for larger deposits, contact support. US_FEDWIRE settles by wire within one business day. Absent for payment networks other than crypto addresses.

Available options:
US_FEDNOW,
US_FEDWIRE
Example:

"US_FEDNOW"